﻿
Partial Class SearchResults
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        Dim Substring As String
        If Session.Count = 0 Then   ' No session items were supplied.
            SessionErrorLabel.Visible = True
        Else
            Try
                Substring = Session("TargetSubstring")
                If Substring = "" Then
                    SessionErrorLabel.Visible = True
                Else
                    ' Retrieve matching items (product and category names) for Substring in the Car name,
                    ' Car description, or Category name fields.
                    'Using carEntities As New carEntities()
                        'Dim query = From Car In carEntities.CarCategoryProducts
                            'Where Car.CarCategory.BrandName.Contains(Substring) _
                            'OrElse Car.CarProduct.ModelName.Contains(Substring) _
                            'OrElse ___________________ ' <-- same thing for the Description, that it contains Substring
                            'Order By Car.CarCategory.BrandName, Car.CarProduct.ModelName
                            'Select ___________________________ ' <-- we want to get the BrandName and ModelName

                        If query.Count() > 0 Then
                            'SearchResultsGridView.DataSource = __________________
                            SearchResultsGridView.DataBind()
                            SearchResultsGridView.Visible = True
                        Else
                            NoMatchLabel.Visible = True
                        End If
                    'End Using
                End If
            Catch exception As System.Data.SqlClient.SqlException
                DatabaseErrorLabel.Visible = True
            Catch exception As Exception
                ErrorLabel.Visible = True
            End Try
        End If
    End Sub

    Protected Sub SearchResultsGridView_PageIndexChanging(sender As Object, e As GridViewPageEventArgs) Handles SearchResultsGridView.PageIndexChanging
        Dim Substring As String
        If Session.Count = 0 Then   ' No session items were supplied.
            SessionErrorLabel.Visible = True
        Else
            Try
                Substring = Session("TargetSubstring")
                If Substring = "" Then
                    SessionErrorLabel.Visible = True
                Else
                    ' Retrieve matching items (product and category names) for Substring in the Car name,
                    ' Car description, or Category name fields.
                    'Using carEntities As New carEntities()
                        'Dim query = From Car In carEntities.CarCategoryProducts
                            'Where Car.CarCategory.BrandName.Contains(Substring) _
                            'OrElse Car.CarProduct.ModelName.Contains(Substring) _
                            'OrElse ___________________ ' <-- same thing for the Description, that it contains Substring
                            'Order By Car.CarCategory.BrandName, Car.CarProduct.ModelName
                            'Select ___________________________ ' <-- we want to get the BrandName and ModelName

                        If query.Count() > 0 Then
                            'SearchResultsGridView.DataSource = __________________
                            'SearchResultsGridView.PageIndex = ______________________  ' Change the page index.
                            SearchResultsGridView.DataBind()
                            SearchResultsGridView.Visible = True
                        Else
                            NoMatchLabel.Visible = True
                        End If
                    'End Using
                End If
            Catch exception As System.Data.SqlClient.SqlException
                DatabaseErrorLabel.Visible = True
            Catch exception As Exception
                ErrorLabel.Visible = True
            End Try
        End If
    End Sub

    Protected Sub SearchResultsGridView_RowCommand(sender As Object, e As GridViewCommandEventArgs) Handles SearchResultsGridView.RowCommand
        If e.CommandName = "View" Then
            ' Find the index of the row where the user clicked the View button:
            Dim index As Integer = Convert.ToInt32(e.CommandArgument)
            ' Find the brand name and model name in this row:
            Session.Add("BrandSelected", SearchResultsGridView.Rows(index).Cells(1).Text)
            Session.Add("ModelSelected", _________________)  ' <-- get the model from this row of the grid view in a similar way
            Response.Redirect("Results.aspx")
        End If
    End Sub
End Class
