﻿
Partial Class Cars
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        Dim Brand As String
        If Not IsPostBack Then
            ErrorLabel.Visible = False
            If Session.Count > 0 Then
                Try
                    'Brand =  ________________ ' pull the selected brand from Session state
                    BrandLabel.Text = "Brand: " & Brand
                    'Using carEntities As New _______________
                        Dim query = From Car In carEntities.CarCategoryProducts
                                    Where Car.CarCategory.BrandName = Brand
                                    Order By Car.CarProduct.ModelName
                                    Select Car.CarProduct.ModelName
                        ModelList.DataSource = query.ToList()
                        ModelList.DataBind()
                    'End Using
                Catch exception As Exception
                    ErrorLabel.Visible = True
                End Try
            Else   ' No Session data was supplied
                ErrorLabel.Visible = True
            End If
        Else
            Page.Validate()
            If ModelList.SelectedIndex = 0 Then   ' The user clicked on "*** Make a choice ***", which is not a valid choice of car model.
                MakeASelectionLabel.Visible = True
            ElseIf Page.IsValid Then
                Session.Add("ModelSelected", ModelList.SelectedItem.Text)   ' Put the string for the choice of model into Session state.
                Response.Redirect("Results.aspx")
            End If
        End If
    End Sub
End Class
